Summary
Gets a page of component group documents.
Description
Gets a page of component group documents.
Route
GET /automation-studio/component-groups
Roles
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| queryParameters | object | yes | Parameters for filtering, paginating, projecting, and sorting component group documents. |
{ "queryParameters": { "limit": 25, "skip": 1, "order": 1, "sort": "name", "include": "name", "exclude": "description", "in": "nisi", "not-in": "occaecat laboris irure anim officia", "equals": "officia", "contains": "velit commodo aute", "starts-with": "in consectetur sunt", "ends-with": "Lorem dolor ea sit" } }
{ "type": "object", "properties": { "queryParameters": { "title": "queryParameters", "type": "object", "properties": { "limit": { "type": "integer", "description": "Number of results to return. Used for pagination.", "default": 25, "minimum": 0, "examples": [ 1, 10, 50 ] }, "skip": { "type": "integer", "description": "Number of results to skip. Used for pagination.", "default": 0, "minimum": 0, "examples": [ 1, 10, 50 ] }, "order": { "type": "integer", "description": "Sort direction, 1 for ascending and -1 for descending.", "default": 1, "enum": [ -1, 1 ] }, "sort": { "type": "string", "description": "Field to sort by", "default": "name", "enum": [ "name" ] }, "include": { "type": "string", "description": "Inclusive projection operator formatted as a comma-delineated list. '_id' will be included implicitly unless excluded with 'exclude=_id'. May only be used in conjunction with 'exclude' when 'exclude=_id'.", "examples": [ "name", "description", "name,description" ] }, "exclude": { "type": "string", "description": "Exclusive projection operator formatted as a comma-delineated list. May only be used in conjunction with 'include' when 'exclude=_id'.", "examples": [ "_id", "description", "_id,description" ] }, "in": { "description": "Search for fields exactly matching one of the given list options", "type": "string" }, "not-in": { "description": "Search for fields not exactly matching one of the given list options", "type": "string" }, "equals": { "description": "Returns results where the specified fields exactly match the given match string(s).", "type": "string" }, "contains": { "description": "Returns results where the specified fields contain the given match string(s).", "type": "string" }, "starts-with": { "description": "Returns results where the specified fields start with the given match string(s).", "type": "string" }, "ends-with": { "description": "Returns results where the specified fields end in the given match string(s).", "type": "string" } } } }, "required": [ "queryParameters" ], "additionalProperties": false }
Return
| Name | Type | Description |
|---|---|---|
| result | object | Results for the given search parameters. |
{ "items": [ { "name": "test", "gbacRead": [ "ea qui" ], "members": [ { "path": [ "cupidatat", "occaecat", "eu pariatur aute quis" ], "type": "folder" }, { "path": "sit consectetur", "type": "component", "sourceCollection": "fugiat proident", "ref": "voluptate Duis" } ], "_id": "791be5Db0431Fe6efA7058Ab", "description": "culpa in ea", "gbacWrite": [ "esse", "sint" ], "version": 1 }, { "name": "test", "gbacRead": [ "velit reprehenderit sunt consectetur anim" ], "members": [ { "path": "laboris dolore", "type": "component", "sourceCollection": "labore incididunt fugiat occaecat", "ref": "cillum quis dolore laborum cupidatat" }, { "path": [ "occaecat magna", "in ut ad in aliqua", "eu ex nulla", "reprehenderit", "reprehenderit adipisicing officia" ], "type": "folder" }, { "path": [ "tempor quis occaecat ex mollit", "laboris aliquip", "in adipisicing id quis", "in non anim sed Duis" ], "type": "folder" } ], "_id": "88F24Dffbca581B9bd3e661B", "description": "nulla esse anim incididunt", "gbacWrite": [ "ullamco" ], "version": 1 }, { "name": "test", "gbacRead": [ "nostrud et ullamco", "esse dolore Duis sunt et", "incididunt ea", "ad culpa fugiat", "laborum ullamco" ], "members": [ { "path": "quis incididunt irure", "type": "component", "sourceCollection": "tempor in culpa Lorem", "ref": "dolore magna officia in" }, { "path": [ "reprehenderit dolore sit exercitation", "eu", "labore aliquip in", "cupidatat qui deserunt aute", "nulla qui Ut dolor ad" ], "type": "folder" } ], "_id": "6daaC7f1fC8eb9dd3Ee3c1dA", "description": "occaecat nostrud in enim", "gbacWrite": [ "minim Ut mollit", "consequat deserunt reprehenderit qui", "do ut Ut minim" ], "version": 1 } ], "total": 22327810, "start": 79237256, "end": -93888081, "count": -40905484, "next": "consectetur nostrud dolor reprehenderit eiusmod", "previous": null }
{ "title": "result", "type": "object", "properties": { "items": { "type": "array", "items": { "$ref": "componentGroup" } }, "total": { "type": "integer", "description": "Total number of documents matching the given query parameters." }, "start": { "type": "integer", "description": "Search index of first document in the items array." }, "end": { "type": "integer", "description": "Search index of the last document in the items array." }, "count": { "type": "integer", "description": "Length of the items array." }, "next": { "description": "URI pointing to the next set of paginated results. Preserves previous search and projection parameters. Null if returning the last page of results.", "oneOf": [ { "type": "string" }, { "type": "null" } ] }, "previous": { "description": "URI pointing to the previous set of paginated results. Preserves previous search and projection parameters. Null if returning the first page of results.", "oneOf": [ { "type": "string" }, { "type": "null" } ] } } }